> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Steward

> Steward endpoints: Get Actions, Update

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Steward",
            "description": "Steward endpoints: Get Actions, Update",
            "url": "https://docs.dqlabs.ai/api-reference/metrics/steward",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Get Actions">
    `POST /api/v1/metrics/steward/list`

    Get all actions

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"432d8f48-d8e9-4dd7-9439-7602f5927b92"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Create SOURCE"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"DESCRIPTIVE"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Created source TEST_1789976065"`.
        </ResponseField>

        <ResponseField name="rationale" type="string">
          Example: `"Create a new SOURCE TEST_1789976065"`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"VERIFIED"`.
        </ResponseField>

        <ResponseField name="action_sensitivity" type="string">
          Example: `"LOW"`.
        </ResponseField>

        <ResponseField name="risk_score" type="number">
          Example: `0.0`.
        </ResponseField>

        <ResponseField name="risk_level" type="string">
          Example: `"LOW"`.
        </ResponseField>

        <ResponseField name="autonomy_level" type="string">
          Example: `"HUMAN"`.
        </ResponseField>

        <ResponseField name="confidence_score" type="string" />

        <ResponseField name="property" type="string" />

        <ResponseField name="new_value" type="string">
          Example: `"\"\""`.
        </ResponseField>

        <ResponseField name="old_value" type="string">
          Example: `"\"\""`.
        </ResponseField>

        <ResponseField name="assigned_to" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"Vignesh R"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"Vignesh R"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="reviewed_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="reviewed_at" type="string">
          Example: `"2026-09-21T07:34:28.019996Z"`.
        </ResponseField>

        <ResponseField name="entity_name" type="string">
          Example: `"TEST_1789976065"`.
        </ResponseField>

        <ResponseField name="entity_id" type="string">
          Example: `"1b2a2e97-f53c-4972-a7b1-a6252e38caa8"`.
        </ResponseField>

        <ResponseField name="entity_type" type="string">
          Example: `"SOURCE"`.
        </ResponseField>

        <ResponseField name="domain" type="string" />

        <ResponseField name="application" type="string" />

        <ResponseField name="product" type="string" />

        <ResponseField name="start_time" type="string">
          Example: `"2026-09-21T07:34:28.006322Z"`.
        </ResponseField>

        <ResponseField name="end_time" type="string">
          Example: `"2026-09-21T07:34:28.019996Z"`.
        </ResponseField>

        <ResponseField name="duration_ms" type="integer">
          Example: `13`.
        </ResponseField>

        <ResponseField name="feedback" type="string" />

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-21T07:34:28.006322Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="asset_id" type="string" />

        <ResponseField name="asset_name" type="string" />

        <ResponseField name="asset_type" type="string" />

        <ResponseField name="parent_asset_id" type="string" />

        <ResponseField name="parent_asset_name" type="string" />

        <ResponseField name="metric_id" type="string" />

        <ResponseField name="metric_name" type="string" />

        <ResponseField name="source_id" type="string" />

        <ResponseField name="source_name" type="string" />

        <ResponseField name="is_learning" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_audit" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="action" type="string">
          Example: `"create"`.
        </ResponseField>

        <ResponseField name="category" type="string" />
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `19028`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/steward/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all actions",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "id": "432d8f48-d8e9-4dd7-9439-7602f5927b92",
            "name": "Create SOURCE",
            "type": "DESCRIPTIVE",
            "description": "Created source TEST_1789976065",
            "rationale": "Create a new SOURCE TEST_1789976065",
            "status": "VERIFIED",
            "action_sensitivity": "LOW",
            "risk_score": 0.0,
            "risk_level": "LOW",
            "autonomy_level": "HUMAN",
            "confidence_score": null,
            "property": null,
            "new_value": "\"\"",
            "old_value": "\"\"",
            "assigned_to": [
              {
                "id": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
                "name": "Vignesh R",
                "label": "Vignesh R"
              }
            ],
            "reviewed_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "reviewed_at": "2026-09-21T07:34:28.019996Z",
            "entity_name": "TEST_1789976065",
            "entity_id": "1b2a2e97-f53c-4972-a7b1-a6252e38caa8",
            "entity_type": "SOURCE",
            "domain": null,
            "application": null,
            "product": null,
            "start_time": "2026-09-21T07:34:28.006322Z",
            "end_time": "2026-09-21T07:34:28.019996Z",
            "duration_ms": 13,
            "feedback": null,
            "created_at": "2026-09-21T07:34:28.006322Z",
            "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "asset_id": null,
            "asset_name": null,
            "asset_type": null,
            "parent_asset_id": null,
            "parent_asset_name": null,
            "metric_id": null,
            "metric_name": null,
            "source_id": null,
            "source_name": null,
            "is_learning": false,
            "is_audit": false,
            "action": "create",
            "category": null
          }
        ],
        "total_count": 19028
      }
    }
    ```
  </Tab>

  <Tab title="Update">
    `PUT /api/v1/metrics/steward/{actionId}`

    Update an action by ID

    **Path Parameters**

    <ParamField path="actionId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/steward/{actionId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update an action by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
